Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QGrid Class Reference

The QGrid widget provides simple geometry management of its children. More...

`#include <qgrid.h>`

Inherits QFrame.

List of all member functions.

## Public Members

- QGrid ( int n, QWidget * parent = 0, const char * name = 0, WFlags f = 0 )
- QGrid ( int n, Orientation orient, QWidget * parent = 0, const char * name = 0, WFlags f = 0 )
- void setSpacing ( int space )

## Detailed Description

The QGrid widget provides simple geometry management of its children.

The grid places its widgets either in a single column or in a single row. If you want a multi-column, multi-row grid use QGridLayout.

The number of rows or columns is defined in the constructor. All the grid's children will be placed and sized in accordance with their sizeHint() and sizePolicy().

Use setMargin() to add space around the grid itself, and setSpacing() to add space between the widgets.

See also QVBox, QHBox, QGridLayout, Widget Appearance and Style and Layout Management.

## Member Function Documentation

### QGrid::QGrid ( int n, QWidget * parent = 0, const char * name = 0, WFlags f = 0 )

Constructs a grid widget with parent parent, called name. n specifies the number of columns. The widget flags f are passed to the QFrame constructor.

### QGrid::QGrid ( int n, Orientation orient, QWidget * parent = 0, const char * name = 0, WFlags f = 0 )

Constructs a grid widget with parent parent, called name. If orient is Horizontal, n specifies the number of columns. If orient is Vertical, n specifies the number of rows. The widget flags f are passed to the QFrame constructor.

### void QGrid::setSpacing ( int space )

Sets the spacing between the child widgets to space.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.